Open SCAP Library: cvrf_remediation Struct Reference

Open SCAP Library

Public Member Functions | Data Fields
cvrf_remediation Struct Reference

## Public Member Functions
cvrf_remediation_type_t | cvrf_remediation_get_type (struct cvrf_remediation *remed)
xmlNode * | cvrf_remediation_to_dom (const struct cvrf_remediation *remed)
| Parent: Remediations container in a CVRF Vulnerability element. More...
struct cvrf_remediation * | cvrf_remediation_new (void)
| New CVRF Remediation. More...
void | cvrf_remediation_free (struct cvrf_remediation *remed)
| Deallocates memory for a Remediation element of the Remediations container. More...
struct cvrf_remediation * | cvrf_remediation_clone (const struct cvrf_remediation *remed)
const char * | cvrf_remediation_get_date (const struct cvrf_remediation *remed)
const char * | cvrf_remediation_get_description (const struct cvrf_remediation *remed)
const char * | cvrf_remediation_get_url (const struct cvrf_remediation *remed)
const char * | cvrf_remediation_get_entitlement (const struct cvrf_remediation *remed)
struct oscap_string_iterator * | cvrf_remediation_get_product_ids (struct cvrf_remediation *remed)
struct oscap_string_iterator * | cvrf_remediation_get_group_ids (struct cvrf_remediation *remed)
bool | cvrf_remediation_set_date (struct cvrf_remediation *remed, const char *date)
bool | cvrf_remediation_set_description (struct cvrf_remediation *remed, const char *description)
bool | cvrf_remediation_set_url (struct cvrf_remediation *remed, const char *url)
bool | cvrf_remediation_set_entitlement (struct cvrf_remediation *remed, const char *entitlement)

## Data Fields
cvrf_remediation_type_t | type
char * | date
char * | description
char * | url
char * | entitlement
struct oscap_stringlist * | product_ids
struct oscap_stringlist * | group_ids

## Member Function Documentation

## ◆ cvrf_remediation_get_type()

cvrf_remediation_type_t cvrf_remediation_get_type | ( | struct cvrf_remediation * | remed | ) |

Level of resolution currently obtainable for this Vulnerability

Parameters

  remed | CVRF Remediation structure

Returns
  Enum representing Type attribute of the Remediation element

## ◆ cvrf_remediation_to_dom()

xmlNode * cvrf_remediation_to_dom | ( | const struct cvrf_remediation * | remed | ) |

Parent: Remediations container in a CVRF Vulnerability element.

Parameters

  remed | CVRF Remediation structure to be exported to XML

Returns
  xmlNode representing Remediation element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h